type bi_op = And | Or
type q_type = Forall | Exists
type equ_xor_op = Equ | Xor
type var = string
module Env = Map.Make(String)

let forall_string = "@"
let exists_string = "#"
let equ_string = "="
let xor_string = "*"
let and_string = "&"
let or_string = "|"
let quantifier_open_string = "["
let quantifier_close_string = "]"
let qpc_open_string = "<"
let qpc_close_string = ">"
